# Interface RequestView

All Known Implementing Classes:
  `RequestViewHTTP, RequestViewRaw`

public interface RequestView
Interface for request panel in View Results Tree All classes which implements this interface is display on bottom tab in request panel

## Method Summary

Modifier and Type
Method
Description
`void`
`clearData()`
Clear all data in panel
`String`
`getLabel()`
Get the label.
`JPanel`
`getPanel()`
Get the panel
`void`
`init()`
Init the panel
`void`
`setSamplerResult(Object userObject)`
Put the result bean to display in panel

## Method Details

### init

void init()
Init the panel

### clearData

void clearData()
Clear all data in panel

### setSamplerResult

void setSamplerResult(Object userObject)
Put the result bean to display in panel

Parameters:
  `userObject` - result to display

### getPanel

JPanel getPanel()
Get the panel

Returns:
  the panel viewer

### getLabel

String getLabel()
Get the label. Use as name for bottom tab

Returns:
  the label's panel